List Nodes

List Nodes
List nodes

Get list of infrastructure nodes. Only admin users can retrieve this information.

Request
URI
GET
https://{api_host}/api/ni/infra/nodes
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns NodeListResult of type(s) application/json
{
    "results": [
        {
            "id": "18230:901:1585583463",
            "entity_type": "NODE"
        },
        {
            "id": "18230:901:1706494033",
            "entity_type": "NODE"
        }
    ],
    "total_count": 2
}
array of object
results
Optional

results

integer
total_count
Optional

total_count


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/infra/nodes